Skip to main content
POST
Emit agent turn event

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

idempotency-key
string
required
Required string length: 1 - 64

Path Parameters

id
string
required
Required string length: 1 - 54

Body

application/json
type
enum<string>
required
Available options:
message
data
object
required

Response

Agent event authored

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
agent_id
string
required
Required string length: 1 - 54
session_id
string
required
Required string length: 1 - 54
turn_id
string
required
Required string length: 1 - 54
sequence
integer
required
cursor
string
required
type
enum<string>
required
Available options:
message.created,
widget.created,
artifact.created,
progress.updated,
execution_environment.started,
execution_environment.stopped,
execution_environment.resumed,
execution_environment.deleted,
execution_environment.failed,
handoff_summary.created,
turn.cancelled
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
data
any